Requirements

From TempusServa wiki
Revision as of 22:09, 7 September 2020 by Admin (Talk | contribs) (Client / user support)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Hardware requirements

Tempus Serva is a highly optimized platform, that will run on even the smallest server configurations: The software will even run on the Rasperry PI (worlds smallest common Linux platform). For running EC2 instances small server is recommended, allthough micro instances will do ok for minor installations (few concurrent users / few parallel installations).

Normal requirements for the memory are

  • Recommended minimum 1024 mB RAM for the heap (application)
  • Recommended 256 mB RAM for PermGen (older java versions)

Running lower is possible, but can result in reduced performance and classloader errors (dependening on which features are used).

  • Minimum 128 mB RAM for the heap (application)
  • Minimum 64 mB RAM for PermGen (older java versions)

Memory intensive operations include OLAP analysis, document building and large data sets (+20k records).

Check Platform metrics for further information.

Help for setting up RAM allocation

Step-by-step guide for configuring your Tomcat server

http://tempusserva.dk/mediawiki/index.php?title=Memory_settings

Software requirements

Operating systems

  • Linux: Amazon, RedHat or CentOS
  • Windows: Any version

Java

  • Oracle Java 8
  • Oracle Java 7, 8
  • OpenJDK 6, 7, 8

Application server

  • Tomcat 8.5
  • JBoss 7.1

Database server

  • MySQL 5.1 through 5.7

Fully compatible databases include

  • MariaDB (same versions as MySQL)
  • PerconaDB (same versions as MySQL)
  • AWS Aurora (MySQL compliant)

Infrequently tested software options include

  • IBM Java
  • JBoss, Jetty, Resin, WebSphere and Glassfish
  • Oracle, SQL Server, PostGres SQL, IBM DB2

Client / user support

All common devices are supported

  • Personal computers
  • Android phone/tablet
  • iPhone/iPad

Touch devices like tablets have small changes to the interface like bigger buttons and one-click search

All major browsers are supported

  • Chrome
  • Safari
  • Firefox
  • Internet Explorer 11+

Basic functions will work in other / older browsers, but some features (JQuery) and layout (CSS3) may be impaired in some minor ways.